Subject: Re: bug#59620: 29.0.50; Wrong global-mode-string position in tab-bar + emacs -nw

From: Juri Linkov <[email-masked]>
Date: Fri, 02 Dec 2022 09:59:57 +0200

>> Avoiding the 'right' part in align-to has such a drawback that while
>> resizing the frame the position of the aligned element is not updated
>> immediately.  It's updated only when display-time refreshes the time on
>> the tab bar.  The position relative to the right edge has no such problem.
>> So better to leave the 'right' part on GUI frames, and switch to counting
>> from the left only on TTY frames where frames are resized less often:
>
> That would require you to make sure this code always runs in the context of
> the tab-bar (pseudo)window.  If that can be ensured, fine.

Since this can't be ensured, I pushed a simpler patch to emacs-29,
and closed.